n=[4,10,20,100];
for i=1:4
A=triu(hilb(n(i)));
b=ones(n(i),1);
x=A\b;
Efront(i)=norm(b-A*(A\b))/(norm(A)*norm(x)+norm(b));
Ebackmax(i)=2*Efront*cond(A)/(1-Efront*cond(A));
condA(i)=cond(A);
end
cor=Ebackmax.*cond(A)-Efront;%αν cor>=0 τοτε εχουμε ακριβεια. 
ans=[4,10,20,100;Efront;Ebackmax;condA;cor]